Character
Date: 2016-06-24

java.lang

## Class Character

- java.lang.Object
- - java.lang.Character

- All Implemented Interfaces:
    Serializable, Comparable

      public final class Character
      extends Object
      implements Serializable, Comparable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Character.Subset`
    `static class` | `Character.UnicodeBlock`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `COMBINING_SPACING_MARK`
    `static byte` | `CONNECTOR_PUNCTUATION`
    `static byte` | `CONTROL`
    `static byte` | `CURRENCY_SYMBOL`
    `static byte` | `DASH_PUNCTUATION`
    `static byte` | `DECIMAL_DIGIT_NUMBER`
    `static byte` | `DIRECTIONALITY_ARABIC_NUMBER`
    `static byte` | `DIRECTIONALITY_BOUNDARY_NEUTRAL`
    `static byte` | `DIRECTIONALITY_COMMON_NUMBER_SEPARATOR`
    `static byte` | `DIRECTIONALITY_EUROPEAN_NUMBER`
    `static byte` | `DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR`
    `static byte` | `DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR`
    `static byte` | `DIRECTIONALITY_LEFT_TO_RIGHT`
    `static byte` | `DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING`
    `static byte` | `DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE`
    `static byte` | `DIRECTIONALITY_NONSPACING_MARK`
    `static byte` | `DIRECTIONALITY_OTHER_NEUTRALS`
    `static byte` | `DIRECTIONALITY_PARAGRAPH_SEPARATOR`
    `static byte` | `DIRECTIONALITY_POP_DIRECTIONAL_FORMAT`
    `static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT`
    `static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC`
    `static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING`
    `static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE`
    `static byte` | `DIRECTIONALITY_SEGMENT_SEPARATOR`
    `static byte` | `DIRECTIONALITY_UNDEFINED`
    `static byte` | `DIRECTIONALITY_WHITESPACE`
    `static byte` | `ENCLOSING_MARK`
    `static byte` | `END_PUNCTUATION`
    `static byte` | `FINAL_QUOTE_PUNCTUATION`
    `static byte` | `FORMAT`
    `static byte` | `INITIAL_QUOTE_PUNCTUATION`
    `static byte` | `LETTER_NUMBER`
    `static byte` | `LINE_SEPARATOR`
    `static byte` | `LOWERCASE_LETTER`
    `static byte` | `MATH_SYMBOL`
    `static int` | `MAX_RADIX`
    `static char` | `MAX_VALUE`
    `static int` | `MIN_RADIX`
    `static char` | `MIN_VALUE`
    `static byte` | `MODIFIER_LETTER`
    `static byte` | `MODIFIER_SYMBOL`
    `static byte` | `NON_SPACING_MARK`
    `static byte` | `OTHER_LETTER`
    `static byte` | `OTHER_NUMBER`
    `static byte` | `OTHER_PUNCTUATION`
    `static byte` | `OTHER_SYMBOL`
    `static byte` | `PARAGRAPH_SEPARATOR`
    `static byte` | `PRIVATE_USE`
    `static byte` | `SPACE_SEPARATOR`
    `static byte` | `START_PUNCTUATION`
    `static byte` | `SURROGATE`
    `static byte` | `TITLECASE_LETTER`
    `static Class` | `TYPE`
    `static byte` | `UNASSIGNED`
    `static byte` | `UPPERCASE_LETTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Character(char var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `charValue()`
    `int` | `compareTo(Character var0)`
    `int` | `compareTo(Object var0)`
    `static int` | `digit(char var0, int var1)`
    `static char` | `forDigit(int var0, int var1)`
    `static byte` | `getDirectionality(char var0)`
    `static int` | `getNumericValue(char var0)`
    `static int` | `getType(char var0)`
    `static boolean` | `isDefined(char var0)`
    `static boolean` | `isDigit(char var0)`
    `static boolean` | `isIdentifierIgnorable(char var0)`
    `static boolean` | `isISOControl(char var0)`
    `static boolean` | `isJavaIdentifierPart(char var0)`
    `static boolean` | `isJavaIdentifierStart(char var0)`
    `static boolean` | `isLetter(char var0)`
    `static boolean` | `isLetterOrDigit(char var0)`
    `static boolean` | `isLowerCase(char var0)`
    `static boolean` | `isMirrored(char var0)`
    `static boolean` | `isSpaceChar(char var0)`
    `static boolean` | `isTitleCase(char var0)`
    `static boolean` | `isUnicodeIdentifierPart(char var0)`
    `static boolean` | `isUnicodeIdentifierStart(char var0)`
    `static boolean` | `isUpperCase(char var0)`
    `static boolean` | `isWhitespace(char var0)`
    `static char` | `toLowerCase(char var0)`
    `static String` | `toString(char var0)`
    `static char` | `toTitleCase(char var0)`
    `static char` | `toUpperCase(char var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMBINING_SPACING_MARK

          public static final byte COMBINING_SPACING_MARK

      See Also:
        Constant Field Values

    - #### CONNECTOR_PUNCTUATION

          public static final byte CONNECTOR_PUNCTUATION

      See Also:
        Constant Field Values

    - #### CONTROL

          public static final byte CONTROL

      See Also:
        Constant Field Values

    - #### CURRENCY_SYMBOL

          public static final byte CURRENCY_SYMBOL

      See Also:
        Constant Field Values

    - #### DASH_PUNCTUATION

          public static final byte DASH_PUNCTUATION

      See Also:
        Constant Field Values

    - #### DECIMAL_DIGIT_NUMBER

          public static final byte DECIMAL_DIGIT_NUMBER

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_ARABIC_NUMBER

          public static final byte DIRECTIONALITY_ARABIC_NUMBER

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_BOUNDARY_NEUTRAL

          public static final byte DIRECTIONALITY_BOUNDARY_NEUTRAL

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_COMMON_NUMBER_SEPARATOR

          public static final byte DIRECTIONALITY_COMMON_NUMBER_SEPARATOR

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_EUROPEAN_NUMBER

          public static final byte DIRECTIONALITY_EUROPEAN_NUMBER

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR

          public static final byte DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR

          public static final byte DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_LEFT_TO_RIGHT

          public static final byte DIRECTIONALITY_LEFT_TO_RIGHT

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING

          public static final byte DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE

          public static final byte DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_NONSPACING_MARK

          public static final byte DIRECTIONALITY_NONSPACING_MARK

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_OTHER_NEUTRALS

          public static final byte DIRECTIONALITY_OTHER_NEUTRALS

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_PARAGRAPH_SEPARATOR

          public static final byte DIRECTIONALITY_PARAGRAPH_SEPARATOR

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_POP_DIRECTIONAL_FORMAT

          public static final byte DIRECTIONALITY_POP_DIRECTIONAL_FORMAT

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_RIGHT_TO_LEFT

          public static final byte DIRECTIONALITY_RIGHT_TO_LEFT

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC

          public static final byte DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING

          public static final byte DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE

          public static final byte DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_SEGMENT_SEPARATOR

          public static final byte DIRECTIONALITY_SEGMENT_SEPARATOR

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_UNDEFINED

          public static final byte DIRECTIONALITY_UNDEFINED

      See Also:
        Constant Field Values

    - #### DIRECTIONALITY_WHITESPACE

          public static final byte DIRECTIONALITY_WHITESPACE

      See Also:
        Constant Field Values

    - #### ENCLOSING_MARK

          public static final byte ENCLOSING_MARK

      See Also:
        Constant Field Values

    - #### END_PUNCTUATION

          public static final byte END_PUNCTUATION

      See Also:
        Constant Field Values

    - #### FINAL_QUOTE_PUNCTUATION

          public static final byte FINAL_QUOTE_PUNCTUATION

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final byte FORMAT

      See Also:
        Constant Field Values

    - #### INITIAL_QUOTE_PUNCTUATION

          public static final byte INITIAL_QUOTE_PUNCTUATION

      See Also:
        Constant Field Values

    - #### LETTER_NUMBER

          public static final byte LETTER_NUMBER

      See Also:
        Constant Field Values

    - #### LINE_SEPARATOR

          public static final byte LINE_SEPARATOR

      See Also:
        Constant Field Values

    - #### LOWERCASE_LETTER

          public static final byte LOWERCASE_LETTER

      See Also:
        Constant Field Values

    - #### MATH_SYMBOL

          public static final byte MATH_SYMBOL

      See Also:
        Constant Field Values

    - #### MAX_RADIX

          public static final int MAX_RADIX

      See Also:
        Constant Field Values

    - #### MAX_VALUE

          public static final char MAX_VALUE

      See Also:
        Constant Field Values

    - #### MIN_RADIX

          public static final int MIN_RADIX

      See Also:
        Constant Field Values

    - #### MIN_VALUE

          public static final char MIN_VALUE

      See Also:
        Constant Field Values

    - #### MODIFIER_LETTER

          public static final byte MODIFIER_LETTER

      See Also:
        Constant Field Values

    - #### MODIFIER_SYMBOL

          public static final byte MODIFIER_SYMBOL

      See Also:
        Constant Field Values

    - #### NON_SPACING_MARK

          public static final byte NON_SPACING_MARK

      See Also:
        Constant Field Values

    - #### OTHER_LETTER

          public static final byte OTHER_LETTER

      See Also:
        Constant Field Values

    - #### OTHER_NUMBER

          public static final byte OTHER_NUMBER

      See Also:
        Constant Field Values

    - #### OTHER_PUNCTUATION

          public static final byte OTHER_PUNCTUATION

      See Also:
        Constant Field Values

    - #### OTHER_SYMBOL

          public static final byte OTHER_SYMBOL

      See Also:
        Constant Field Values

    - #### PARAGRAPH_SEPARATOR

          public static final byte PARAGRAPH_SEPARATOR

      See Also:
        Constant Field Values

    - #### PRIVATE_USE

          public static final byte PRIVATE_USE

      See Also:
        Constant Field Values

    - #### SPACE_SEPARATOR

          public static final byte SPACE_SEPARATOR

      See Also:
        Constant Field Values

    - #### START_PUNCTUATION

          public static final byte START_PUNCTUATION

      See Also:
        Constant Field Values

    - #### SURROGATE

          public static final byte SURROGATE

      See Also:
        Constant Field Values

    - #### TITLECASE_LETTER

          public static final byte TITLECASE_LETTER

      See Also:
        Constant Field Values

    - #### TYPE

          public static final Class TYPE

    - #### UNASSIGNED

          public static final byte UNASSIGNED

      See Also:
        Constant Field Values

    - #### UPPERCASE_LETTER

          public static final byte UPPERCASE_LETTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Character

          public Character(char var0)

  - ### Method Detail

    - #### charValue

          public char charValue()

    - #### compareTo

          public int compareTo(Character var0)

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### digit

          public static int digit(char var0,
                  int var1)

    - #### forDigit

          public static char forDigit(int var0,
                      int var1)

    - #### getDirectionality

          public static byte getDirectionality(char var0)

    - #### getNumericValue

          public static int getNumericValue(char var0)

    - #### getType

          public static int getType(char var0)

    - #### isDefined

          public static boolean isDefined(char var0)

    - #### isDigit

          public static boolean isDigit(char var0)

    - #### isISOControl

          public static boolean isISOControl(char var0)

    - #### isIdentifierIgnorable

          public static boolean isIdentifierIgnorable(char var0)

    - #### isJavaIdentifierPart

          public static boolean isJavaIdentifierPart(char var0)

    - #### isJavaIdentifierStart

          public static boolean isJavaIdentifierStart(char var0)

    - #### isLetter

          public static boolean isLetter(char var0)

    - #### isLetterOrDigit

          public static boolean isLetterOrDigit(char var0)

    - #### isLowerCase

          public static boolean isLowerCase(char var0)

    - #### isMirrored

          public static boolean isMirrored(char var0)

    - #### isSpaceChar

          public static boolean isSpaceChar(char var0)

    - #### isTitleCase

          public static boolean isTitleCase(char var0)

    - #### isUnicodeIdentifierPart

          public static boolean isUnicodeIdentifierPart(char var0)

    - #### isUnicodeIdentifierStart

          public static boolean isUnicodeIdentifierStart(char var0)

    - #### isUpperCase

          public static boolean isUpperCase(char var0)

    - #### isWhitespace

          public static boolean isWhitespace(char var0)

    - #### toLowerCase

          public static char toLowerCase(char var0)

    - #### toString

          public static String toString(char var0)

    - #### toTitleCase

          public static char toTitleCase(char var0)

    - #### toUpperCase

          public static char toUpperCase(char var0)